GuideLab Docs

List order delivery notes (DDT)

Returns the DDTs issued for an order, newest first, plus which issuer a new one would use: Fatture in Cloud when it is connected with the delivery-note scope, otherwise the platform.

GET
/orders/{id}/delivery-notes

Returns the DDTs issued for an order, newest first, plus which issuer a new one would use: Fatture in Cloud when it is connected with the delivery-note scope, otherwise the platform.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Order ID

Length1 <= length

Response Body

application/json

curl -X GET "https://example.com/orders/string/delivery-notes"
{  "availability": {    "provider": "platform",    "fattureInCloudNeedsReconnect": true  },  "deliveryNotes": [    {      "id": "string",      "orderId": "string",      "provider": "platform",      "status": "pending",      "number": "string",      "issueDate": "string",      "providerPdfUrl": "string",      "snapshot": {        "version": 1,        "capturedAt": "string",        "orderNumber": "string",        "issuer": {          "organizationId": "string",          "name": "string",          "companyNumber": "string",          "taxRegistrationNumber": "string",          "address": "string",          "addressLine2": "string",          "city": "string",          "state": "string",          "postcode": "string",          "country": "string",          "phone": "string",          "email": "string",          "eInvoiceCode": "string",          "certifiedEmail": "string"        },        "customer": {          "organizationId": "string",          "name": "string",          "companyNumber": "string",          "taxRegistrationNumber": "string",          "address": "string",          "addressLine2": "string",          "city": "string",          "state": "string",          "postcode": "string",          "country": "string",          "phone": "string",          "email": "string",          "eInvoiceCode": "string",          "certifiedEmail": "string"        },        "destination": {          "name": "string",          "address": "string",          "addressLine2": "string",          "city": "string",          "state": "string",          "postcode": "string",          "country": "string"        },        "items": [          {            "orderItemId": "string",            "description": "string",            "quantity": 0,            "unitPrice": "string",            "taxRate": "string"          }        ],        "transport": {          "causale": "string",          "mezzo": "mittente",          "vettore": "string",          "colli": 0,          "pesoKg": "string",          "aspettoBeni": "string",          "porto": "franco",          "startAt": "string",          "notes": "string"        },        "taxMode": "none"      },      "createdAt": "string"    }  ]}
Empty
Empty